# ------------------------------------------------------------------------------
# Copyright (c) Microsoft
# Licensed under the MIT License.
# Written by Zhipeng Zhang (zhangzhipeng2017@ia.ac.cn)
# ------------------------------------------------------------------------------

from .adafree import AdaFree_
from .connect import box_tower, AdjustLayer
from .backbones import ResNet50
from .mask import MultiRefine


import torch
import torchvision
from .modules import MultiFeatureBase

import os
import sys
sys.path.append('../lib')


class FreeDepthMASK(AdaFree_):
    def __init__(self, align=False):
        super(FreeDepthMASK, self).__init__()
        self.features = ResNet50(used_layers=[3])   # in param
        self.neck = AdjustLayer(in_channels=1024, out_channels=256)
        self.connect_model = box_tower(inchannels=256, outchannels=256, towernum=4)
        self.mask_model = MultiRefine(att=False, merge_mask=False, addCorr=True, mulOradd='add', simiLoss=False)

